Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-576

unbound router_id variable while creating event

XMLWordPrintable

    • -
    • Low
    • ShiftStack Sprint 224, ShiftStack Sprint 225
    • 2
    • False
    • Hide

      None

      Show
      None
    • None

      If there was any SDK exception while adding Subnet to the Router
      e.g. 504 Gateway Time-out, no router_id would be returned causing
      the Kuryr controller to restart when trying to create an event with
      the unbound variable router_id and producing the following traceback:

      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health openstack.exceptions.HttpException: HttpException: 500: Server Error for url: http://10.46.22.148:9696/v2.0/routers/9b31359e-812d-4eb3-a171-29117bec9fd4/add_router_interface, Request Failed: internal server error while processing your request.
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health 
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health During handling of the above exception, another exception occurred:
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health 
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health Traceback (most recent call last):
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/handlers/logging.py", line 38, in __call__
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health     self._handler(event, *args, **kwargs)
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/handlers/retry.py", line 85, in __call__
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health     self._handler(event, *args, retry_info=info, **kwargs)
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/handlers/k8s_base.py", line 90, in __call__
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health     self.on_present(obj, *args, **kwargs)
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/controller/handlers/kuryrnetwork.py", line 99, in on_present
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health     f'Error adding Neutron subnet {subnet_id} '
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health UnboundLocalError: local variable 'router_id' referenced before assignment
      2022-08-24 17:06:17.946 1 ERROR kuryr_kubernetes.controller.managers.health 
      

            mdemaced Maysa De Macedo Souza
            mdemaced Maysa De Macedo Souza
            Itay Matza Itay Matza
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Created:
              Updated:
              Resolved: